"""function to generate urls for the policy api server command line sample code"""

__all__ = ['generate_urls']

NUM_URLS = 1000


def generate_urls(out_file, num_urls):
    """generates a list of URLs and outputs to file.
    URLs are carriage return delineated"""
    url_string = "\n".join(["http://www.url" + str(x) + ".com" for x in range(0, num_urls)])

    with open(out_file, 'w') as outfile:
        outfile.write(url_string)

if __name__ == "__main__":
    OUT_FILE = str(NUM_URLS) + '_urls.txt'
    generate_urls(OUT_FILE, NUM_URLS)
